# Get

Launch stage: Beta

`GET /api/2.0/identity/accounts/{account_id}/workspaces/{workspace_id}/workspace-assignments/{principal_id}`

Returns the assignment for a principal in a workspace.

API scopes: identity

## Path parameters

- `account_id` (string, optional)
  Required. The parent account ID for which the workspace assignment is being requested.
- `workspace_id` (int64, optional)
  Required. The workspace ID for which the assignment is being requested.
- `principal_id` (int64, optional)
  Required. The internal ID of the principal (user/sp/group) for which the assignment is being requested.

## Returns

Returns the WorkspaceAssignment object.

## Response

```json
{
  "principal_type": "string",
  "principal_id": 0,
  "workspace_id": 0,
  "account_id": "string",
  "entitlements": [
    "string"
  ],
  "effective_entitlements": [
    "string"
  ]
}
```

